/*	ccvideo.h -- ljsdcdev
	libcrabclaw video junk
	libcrabclaw
	Copyright (C) 2004 Lawrence Sebald	*/

#include <GL/gl.h>
#include "cctypes.h"

#ifndef __CCVIDEO_H
#define __CCVIDEO_H

#ifdef __cplusplus
extern "C"	{
#endif

#define CC_INVERT_X		(1 << 0)

typedef GLuint cc_tex_t;

void cc_video_init();
void cc_scene_begin();
void cc_scene_finish();
void cc_video_deinit();
void cc_set_title(const char * name);
int cc_load_png(const char * fn, cc_tex_t * num, uint32 flags);
void cc_draw_tex(cc_tex_t tex, float x, float y, float w, float h);
void cc_destroy_tex(cc_tex_t * tex);

#ifdef __cplusplus
}
#endif

#endif
