/*	ccevent.c -- ljsdcdev
	libcrabclaw event functions
	libcrabclaw
	Copyright (C) 2004 Lawrence Sebald	*/

#include "cctypes.h"
#include "ccevent.h"
#include <X11/Xlib.h>
#include <X11/keysym.h>

extern Display * disp;

static int cc_system_events(XEvent * ev)	{
	if(XPending(disp) > 0)	{
		XNextEvent(disp, ev);
		return 0;
	}
	return 1;
}

void cc_event_poll(cc_event * ev)	{
	XEvent event;
	KeySym key;
	int num;

checkevent:
	num = cc_system_events(&event);
	if(num == 1)	{
		ev->type = CC_EVENT_NONE;
		ev->key = 0;
	}
	else	{
		switch(event.type)	{
			case KeyPress:
				key = XLookupKeysym(&event.xkey, 0);
				ev->type = CC_EVENT_KEYDOWN;
				ev->key = key;
				break;
			default:
				/* Ignore the events we don't currently handle */
				goto checkevent;
		}
	}
}
