/*	ccevent.h -- ljsdcdev
	libcrabclaw event functions
	libcrabclaw
	Copyright (C) 2004 Lawrence Sebald	*/

#include "cctypes.h"
#include "ccinit.h"
#include "cckeysym.h"

#ifndef __CCEVENT_H
#define __CCEVENT_H

#ifdef __cplusplus
extern "C"	{
#endif

enum	{
	CC_EVENT_NONE,
	CC_EVENT_KEYDOWN,
	CC_EVENT_KEYUP,
	CC_EVENT_QUIT
};

typedef struct	{
	uint8 type;	/* Event Type */
	uint32 key;	/* Key pressed/released */
} cc_event;

void cc_event_init(uint32 mask);
void cc_event_poll(cc_event * ev);

#ifdef __cplusplus
}
#endif

#endif
