/*	ccinit.c -- ljsdcdev
	libcrabclaw init functions
	libcrabclaw
	Copyright (C) 2004 Lawrence Sebald	*/

#include "cctypes.h"
#include "ccinit.h"
#include "cctimer.h"
#include "ccevent.h"
#include "ccvideo.h"
#include "ccsound.h"
#include "ccfont.h"

void cc_init(uint32 mask)	{
	if(mask & CC_INIT_TIMER)	{
		cc_timer_init();
	}

	if(mask & CC_INIT_VIDEO)	{
		cc_video_init();
	}

	if(mask & CC_INIT_SOUND)	{
		cc_sound_init();
	}

	if(mask & CC_INIT_TTF)	{
		cc_font_init();
	}
}

void cc_init_all()	{
	cc_init(CC_INIT_TIMER | CC_INIT_VIDEO | CC_INIT_SOUND);
}
