/*	ccprim.c -- ljsdcdev
	libcrabclaw graphics primitives
	libcrabclaw
	Copyright (C) 2004 Lawrence Sebald	*/

#include "cctypes.h"
#include "ccprim.h"

void cc_quad(float x1, float y1, float x2, float y2, uint8 a, uint8 r, uint8 g, uint8 b)	{
	glColor4f((float)r / 255.0f, (float)g / 255.0f, (float)b / 255.0f, (float)a / 255.0f);
	glBegin(GL_QUADS);
		glVertex3f(x1, y1, 0.0f);
		glVertex3f(x2, y1, 0.0f);
		glVertex3f(x2, y2, 0.0f);
		glVertex3f(x1, y2, 0.0f);
	glEnd();
	glColor4f(1.0f, 1.0f, 1.0f, 1.0f);
}

void cc_triangle(float x1, float y1, float x2, float y2, float x3, float y3,
                 uint8 a, uint8 r, uint8 g, uint8 b)	{
	glColor4f((float)r / 255.0f, (float)g / 255.0f, (float)b / 255.0f, (float)a / 255.0f);
	glBegin(GL_TRIANGLES);
		glVertex3f(x1, y1, 0.0f);
		glVertex3f(x2, y2, 0.0f);
		glVertex3f(x3, y3, 0.0f);
	glEnd();
	glColor4f(1.0f, 1.0f, 1.0f, 1.0f);
}

void cc_line(float x1, float y1, float x2, float y2, uint8 a, uint8 r, uint8 g, uint8 b)	{
	glColor4f((float)r / 255.0f, (float)g / 255.0f, (float)b / 255.0f, (float)a / 255.0f);
	glBegin(GL_LINES);
		glVertex3f(x1, y1, 0.0f);
		glVertex3f(x2, y2, 0.0f);
	glEnd();
	glColor4f(1.0f, 1.0f, 1.0f, 1.0f);
}
